OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | List of all members
cl::DeviceCommandQueue Class Reference

DeviceCommandQueue interface for device cl_command_queues. More...

`#include <cl2.hpp>`

Inherits cl::detail::Wrapper< cl_command_queue >.

## Public Member Functions
| DeviceCommandQueue ()
| DeviceCommandQueue (DeviceQueueProperties properties, cl_int *err=NULL)
| DeviceCommandQueue (const Context &context, const Device &device, DeviceQueueProperties properties=DeviceQueueProperties::None, cl_int *err=NULL)
| DeviceCommandQueue (const Context &context, const Device &device, cl_uint queueSize, DeviceQueueProperties properties=DeviceQueueProperties::None, cl_int *err=NULL)
| DeviceCommandQueue (const cl_command_queue &commandQueue, bool retainObject=false)
| Constructor from cl_command_queue - takes ownership. More...
DeviceCommandQueue & | operator= (const cl_command_queue &rhs)
| DeviceCommandQueue (const DeviceCommandQueue &queue)
| Copy constructor to forward copy to the superclass correctly. Required for MSVC. More...
DeviceCommandQueue & | operator= (const DeviceCommandQueue &queue)
| Copy assignment to forward copy to the superclass correctly. Required for MSVC. More...
| DeviceCommandQueue (DeviceCommandQueue &&queue) CL_HPP_NOEXCEPT_
| Move constructor to forward move to the superclass correctly. Required for MSVC. More...
DeviceCommandQueue & | operator= (DeviceCommandQueue &&queue)
| Move assignment to forward move to the superclass correctly. Required for MSVC. More...
template<typename T >
cl_int | getInfo (cl_command_queue_info name, T *param) const
template<cl_int name>
detail::param_traits < detail::cl_command_queue_info, name >::param_type | getInfo (cl_int *err=NULL) const
Public Member Functions inherited from cl::detail::Wrapper< cl_command_queue >
| Wrapper ()
| Wrapper (const cl_type &obj, bool retainObject)
| Wrapper (const Wrapper< cl_type > &rhs)
| Wrapper (Wrapper< cl_type > &&rhs) CL_HPP_NOEXCEPT_
| ~Wrapper ()
Wrapper< cl_type > & | operator= (const Wrapper< cl_type > &rhs)
Wrapper< cl_type > & | operator= (Wrapper< cl_type > &&rhs)
Wrapper< cl_type > & | operator= (const cl_type &rhs)
const cl_type & | operator() () const
cl_type & | operator() ()
const cl_type | get () const
cl_type | get ()

## Static Public Member Functions
static DeviceCommandQueue | makeDefault (cl_int *err=nullptr)
static DeviceCommandQueue | makeDefault (const Context &context, const Device &device, cl_int *err=nullptr)
static DeviceCommandQueue | makeDefault (const Context &context, const Device &device, cl_uint queueSize, cl_int *err=nullptr)

## Additional Inherited Members
Public Types inherited from cl::detail::Wrapper< cl_command_queue >
typedef cl_command_queue | cl_type
Protected Member Functions inherited from cl::detail::Wrapper< cl_command_queue >
cl_int | retain () const
cl_int | release () const
Protected Attributes inherited from cl::detail::Wrapper< cl_command_queue >
cl_type | object_

## Detailed Description

DeviceCommandQueue interface for device cl_command_queues.

## Constructor & Destructor Documentation

cl::DeviceCommandQueue::DeviceCommandQueue | ( |  | ) |
| inline

Trivial empty constructor to create a null queue.

cl::DeviceCommandQueue::DeviceCommandQueue | ( | DeviceQueueProperties | properties,
|  | cl_int * | err = `NULL`
| ) |  |
| inline

Default construct device command queue on default context and device

cl::DeviceCommandQueue::DeviceCommandQueue | ( | const Context & | context,
|  | const Device & | device,
|  | DeviceQueueProperties | properties = `DeviceQueueProperties::None`,
|  | cl_int * | err = `NULL`
| ) |  |
| inline

Create a device command queue for a specified device in the passed context.

cl::DeviceCommandQueue::DeviceCommandQueue | ( | const Context & | context,
|  | const Device & | device,
|  | cl_uint | queueSize,
|  | DeviceQueueProperties | properties = `DeviceQueueProperties::None`,
|  | cl_int * | err = `NULL`
| ) |  |
| inline

Create a device command queue for a specified device in the passed context.

cl::DeviceCommandQueue::DeviceCommandQueue | ( | const cl_command_queue & | commandQueue,
|  | bool | retainObject = `false`
| ) |  |
| inline explicit

Constructor from cl_command_queue - takes ownership.

Parameters

  retainObject | will cause the constructor to retain its cl object. Defaults to false to maintain compatibility with earlier versions.

cl::DeviceCommandQueue::DeviceCommandQueue | ( | const DeviceCommandQueue & | queue | ) |
| inline

Copy constructor to forward copy to the superclass correctly. Required for MSVC.

cl::DeviceCommandQueue::DeviceCommandQueue | ( | DeviceCommandQueue && | queue | ) |
| inline

Move constructor to forward move to the superclass correctly. Required for MSVC.

## Member Function Documentation

template<typename T >

cl_int cl::DeviceCommandQueue::getInfo | ( | cl_command_queue_info | name,
|  | T * | param
| ) |  | const
| inline

template<cl_int name>

detail::param_traits<detail::cl_command_queue_info, name>::param_type cl::DeviceCommandQueue::getInfo | ( | cl_int * | err = `NULL` | ) | const
| inline

static DeviceCommandQueue cl::DeviceCommandQueue::makeDefault | ( | cl_int * | err = `nullptr` | ) |
| inline static

Create a new default device command queue for the default device, in the default context and of the default size. If there is already a default queue for the specified device this function will return the pre-existing queue.

static DeviceCommandQueue cl::DeviceCommandQueue::makeDefault | ( | const Context & | context,
|  | const Device & | device,
|  | cl_int * | err = `nullptr`
| ) |  |
| inline static

Create a new default device command queue for the specified device and of the default size. If there is already a default queue for the specified device this function will return the pre-existing queue.

static DeviceCommandQueue cl::DeviceCommandQueue::makeDefault | ( | const Context & | context,
|  | const Device & | device,
|  | cl_uint | queueSize,
|  | cl_int * | err = `nullptr`
| ) |  |
| inline static

Create a new default device command queue for the specified device and of the requested size in bytes. If there is already a default queue for the specified device this function will return the pre-existing queue.

DeviceCommandQueue& cl::DeviceCommandQueue::operator= | ( | const cl_command_queue & | rhs | ) |
| inline

DeviceCommandQueue& cl::DeviceCommandQueue::operator= | ( | const DeviceCommandQueue & | queue | ) |
| inline

Copy assignment to forward copy to the superclass correctly. Required for MSVC.

DeviceCommandQueue& cl::DeviceCommandQueue::operator= | ( | DeviceCommandQueue && | queue | ) |
| inline

Move assignment to forward move to the superclass correctly. Required for MSVC.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp